> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete a webhook



## OpenAPI

````yaml DELETE /webhooks/{webhook_id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /webhooks/{webhook_id}:
    delete:
      tags:
        - Webhooks
      summary: Delete a webhook
      description: Delete a webhook
      operationId: deleteWebhook
      parameters:
        - name: webhook_id
          in: path
          required: true
          description: The ID of the webhook to delete
          schema:
            type: string
      responses:
        '200':
          description: Successful removal of webhook
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeleteResponse'
        '404':
          description: Webhook not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WebhookDeleteResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the webhook
        object:
          type: string
          enum:
            - webhook
          description: Object type, always 'webhook'
      required:
        - id
        - object
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````